Subject: Botanical Museum, Finnish Mus. Nat. History - new WWW site

From: [email-masked] (Raino Lampinen)
Date: 11 May 1995 08:52:59 GMT

Botanical Museum, Finnish Museum of Natural History is pleased to 
announce a new botanical WWW site 
(http://www.helsinki.fi/~rlampine/museum.html). We provide info on our 
collections, research projects, publications, staff, vascular plants of 
Finland, botanical journals published in Finland, and an extensive 
collection of botanical links 
(http://www.helsinki.fi/~rlampine/botany.html).

Raino Lampinen
([email-masked])